AlertDefinitionValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.shared.AlertDefinitionValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.shared
Class AlertDefinitionValue

    java.lang.Object
      org.hyperic.hq.events.shared.AlertDefinitionValue

All Implemented Interfaces:
  java.io.Serializable

    public class AlertDefinitionValue

extends java.lang.Object
implements java.io.Serializable

Value object for AlertDefinition.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `addedActions`
`protected java.util.Collection` | `addedConditions`
`protected java.util.Collection` | `addedTriggers`
`protected java.util.Collection` | `removedActions`
`protected java.util.Collection` | `removedConditions`
`protected java.util.Collection` | `removedTriggers`
`protected java.util.Collection` | `updatedActions`
`protected java.util.Collection` | `updatedConditions`
`protected java.util.Collection` | `updatedTriggers`

Constructor Summary
`AlertDefinitionValue()`
`AlertDefinitionValue(AlertDefinitionValue otherValue)`

Method Summary
`boolean` | `activeHasBeenSet()`
`void` | `addAction(ActionValue added)`
`void` | `addCondition(AlertConditionValue added)`
`void` | `addTrigger(RegisteredTriggerValue added)`
`boolean` | `appdefIdHasBeenSet()`
`boolean` | `appdefTypeHasBeenSet()`
`void` | `cleanAction()`
`void` | `cleanCondition()`
`void` | `cleanTrigger()`
`boolean` | `controlFilteredHasBeenSet()`
`void` | `copyActionsFrom(AlertDefinitionValue from)`
`void` | `copyConditionsFrom(AlertDefinitionValue from)`
`void` | `copyTriggersFrom(AlertDefinitionValue from)`
`boolean` | `countHasBeenSet()`
`boolean` | `ctimeHasBeenSet()`
`boolean` | `deletedHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `enabledHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`boolean` | `frequencyTypeHasBeenSet()`
`ActionValue[]` | `getActions()`
`boolean` | `getActive()`
`java.util.Collection` | `getAddedActions()`
`java.util.Collection` | `getAddedConditions()`
`java.util.Collection` | `getAddedTriggers()`
`java.lang.Integer` | `getAppdefId()`
`int` | `getAppdefType()`
`AlertConditionValue[]` | `getConditions()`
`boolean` | `getControlFiltered()`
`long` | `getCount()`
`long` | `getCtime()`
`boolean` | `getDeleted()`
`java.lang.String` | `getDescription()`
`boolean` | `getEnabled()`
`java.lang.Integer` | `getEscalationId()`
`int` | `getFrequencyType()`
`java.lang.Integer` | `getId()`
`long` | `getMtime()`
`java.lang.String` | `getName()`
`boolean` | `getNotifyFiltered()`
`java.lang.Integer` | `getParentId()`
`int` | `getPriority()`
`long` | `getRange()`
`java.util.Collection` | `getRemovedActions()`
`java.util.Collection` | `getRemovedConditions()`
`java.util.Collection` | `getRemovedTriggers()`
`RegisteredTriggerValue[]` | `getTriggers()`
`java.util.Collection` | `getUpdatedActions()`
`java.util.Collection` | `getUpdatedConditions()`
`java.util.Collection` | `getUpdatedTriggers()`
`boolean` | `getWillRecover()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`void` | `initializeMTimeToNow()` Set the mtime to the current time if it has not been set yet.
`boolean` | `isEscalationIdHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `mtimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `notifyFilteredHasBeenSet()`
`boolean` | `parentIdHasBeenSet()`
`boolean` | `priorityHasBeenSet()`
`boolean` | `rangeHasBeenSet()`
`void` | `removeAction(ActionValue removed)`
`void` | `removeAllActions()`
`void` | `removeAllConditions()`
`void` | `removeAllTriggers()`
`void` | `removeCondition(AlertConditionValue removed)`
`void` | `removeTrigger(RegisteredTriggerValue removed)`
`void` | `setActive(boolean active)`
`void` | `setAppdefId(java.lang.Integer appdefId)`
`void` | `setAppdefType(int appdefType)`
`void` | `setControlFiltered(boolean controlFiltered)`
`void` | `setCount(long count)`
`void` | `setCtime(long ctime)`
`void` | `setDeleted(boolean deleted)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setEscalationId(java.lang.Integer escalationId)`
`void` | `setEscalationIdHasBeenSet(boolean escalationIdHasBeenSet)`
`void` | `setFrequencyType(int frequencyType)`
`void` | `setId(java.lang.Integer id)`
`void` | `setMtime(long mtime)`
`void` | `setName(java.lang.String name)`
`void` | `setNotifyFiltered(boolean notifyFiltered)`
`void` | `setParentId(java.lang.Integer parentId)`
`void` | `setPriority(int priority)`
`void` | `setRange(long range)`
`void` | `setWillRecover(boolean willRecover)`
`java.lang.String` | `toString()`
`void` | `updateAction(ActionValue updated)`
`void` | `updateCondition(AlertConditionValue updated)`
`void` | `updateTrigger(RegisteredTriggerValue updated)`
`boolean` | `willRecoverHasBeenSet()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedTriggers

    protected java.util.Collection addedTriggers

### removedTriggers

    protected java.util.Collection removedTriggers

### updatedTriggers

    protected java.util.Collection updatedTriggers

### addedConditions

    protected java.util.Collection addedConditions

### removedConditions

    protected java.util.Collection removedConditions

### updatedConditions

    protected java.util.Collection updatedConditions

### addedActions

    protected java.util.Collection addedActions

### removedActions

    protected java.util.Collection removedActions

### updatedActions

    protected java.util.Collection updatedActions

Constructor Detail

### AlertDefinitionValue

    public AlertDefinitionValue()

### AlertDefinitionValue

    public AlertDefinitionValue(AlertDefinitionValue otherValue)

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getCtime

    public long getCtime()

### setCtime

    public void setCtime(long ctime)

### ctimeHasBeenSet

    public boolean ctimeHasBeenSet()

### initializeMTimeToNow

    public void initializeMTimeToNow()

  Set the mtime to the current time if it has not been set yet.

### getMtime

    public long getMtime()

### setMtime

    public void setMtime(long mtime)

### mtimeHasBeenSet

    public boolean mtimeHasBeenSet()

### getParentId

    public java.lang.Integer getParentId()

### setParentId

    public void setParentId(java.lang.Integer parentId)

### parentIdHasBeenSet

    public boolean parentIdHasBeenSet()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getActive

    public boolean getActive()

### setActive

    public void setActive(boolean active)

### activeHasBeenSet

    public boolean activeHasBeenSet()

### getEnabled

    public boolean getEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### enabledHasBeenSet

    public boolean enabledHasBeenSet()

### getWillRecover

    public boolean getWillRecover()

### setWillRecover

    public void setWillRecover(boolean willRecover)

### willRecoverHasBeenSet

    public boolean willRecoverHasBeenSet()

### getNotifyFiltered

    public boolean getNotifyFiltered()

### setNotifyFiltered

    public void setNotifyFiltered(boolean notifyFiltered)

### notifyFilteredHasBeenSet

    public boolean notifyFilteredHasBeenSet()

### getControlFiltered

    public boolean getControlFiltered()

### setControlFiltered

    public void setControlFiltered(boolean controlFiltered)

### controlFilteredHasBeenSet

    public boolean controlFilteredHasBeenSet()

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### priorityHasBeenSet

    public boolean priorityHasBeenSet()

### getAppdefId

    public java.lang.Integer getAppdefId()

### setAppdefId

    public void setAppdefId(java.lang.Integer appdefId)

### appdefIdHasBeenSet

    public boolean appdefIdHasBeenSet()

### getAppdefType

    public int getAppdefType()

### setAppdefType

    public void setAppdefType(int appdefType)

### appdefTypeHasBeenSet

    public boolean appdefTypeHasBeenSet()

### getFrequencyType

    public int getFrequencyType()

### setFrequencyType

    public void setFrequencyType(int frequencyType)

### frequencyTypeHasBeenSet

    public boolean frequencyTypeHasBeenSet()

### getCount

    public long getCount()

### setCount

    public void setCount(long count)

### countHasBeenSet

    public boolean countHasBeenSet()

### getRange

    public long getRange()

### setRange

    public void setRange(long range)

### rangeHasBeenSet

    public boolean rangeHasBeenSet()

### getDeleted

    public boolean getDeleted()

### setDeleted

    public void setDeleted(boolean deleted)

### deletedHasBeenSet

    public boolean deletedHasBeenSet()

### getAddedTriggers

    public java.util.Collection getAddedTriggers()

### getRemovedTriggers

    public java.util.Collection getRemovedTriggers()

### getUpdatedTriggers

    public java.util.Collection getUpdatedTriggers()

### getTriggers

    public RegisteredTriggerValue[] getTriggers()

### addTrigger

    public void addTrigger(RegisteredTriggerValue added)

### removeTrigger

    public void removeTrigger(RegisteredTriggerValue removed)

### removeAllTriggers

    public void removeAllTriggers()

### updateTrigger

    public void updateTrigger(RegisteredTriggerValue updated)

### cleanTrigger

    public void cleanTrigger()

### copyTriggersFrom

    public void copyTriggersFrom(AlertDefinitionValue from)

### getAddedConditions

    public java.util.Collection getAddedConditions()

### getRemovedConditions

    public java.util.Collection getRemovedConditions()

### getUpdatedConditions

    public java.util.Collection getUpdatedConditions()

### getConditions

    public AlertConditionValue[] getConditions()

### addCondition

    public void addCondition(AlertConditionValue added)

### removeCondition

    public void removeCondition(AlertConditionValue removed)

### removeAllConditions

    public void removeAllConditions()

### updateCondition

    public void updateCondition(AlertConditionValue updated)

### cleanCondition

    public void cleanCondition()

### copyConditionsFrom

    public void copyConditionsFrom(AlertDefinitionValue from)

### getAddedActions

    public java.util.Collection getAddedActions()

### getRemovedActions

    public java.util.Collection getRemovedActions()

### getUpdatedActions

    public java.util.Collection getUpdatedActions()

### getActions

    public ActionValue[] getActions()

### addAction

    public void addAction(ActionValue added)

### removeAction

    public void removeAction(ActionValue removed)

### isEscalationIdHasBeenSet

    public boolean isEscalationIdHasBeenSet()

### setEscalationIdHasBeenSet

    public void setEscalationIdHasBeenSet(boolean escalationIdHasBeenSet)

### getEscalationId

    public java.lang.Integer getEscalationId()

### setEscalationId

    public void setEscalationId(java.lang.Integer escalationId)

### removeAllActions

    public void removeAllActions()

### updateAction

    public void updateAction(ActionValue updated)

### cleanAction

    public void cleanAction()

### copyActionsFrom

    public void copyActionsFrom(AlertDefinitionValue from)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.